<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>SnapshotRepository (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SnapshotRepository (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotDateParser.html" title="interface in com.sk89q.worldedit.world.snapshot"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRestore.html" title="class in com.sk89q.worldedit.world.snapshot"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/snapshot/SnapshotRepository.html" target="_top">Frames</a></li>
<li><a href="SnapshotRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.snapshot</div>
<h2 title="Class SnapshotRepository" class="title">Class SnapshotRepository</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.snapshot.SnapshotRepository</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SnapshotRepository</span>
extends java.lang.Object</pre>
<div class="block">A repository contains zero or more snapshots.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotDateParser.html" title="interface in com.sk89q.worldedit.world.snapshot">SnapshotDateParser</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#dateParsers">dateParsers</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#dir">dir</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#SnapshotRepository-java.io.File-">SnapshotRepository</a></span>(java.io.File&nbsp;dir)</code>
<div class="block">Create a new instance of a repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#SnapshotRepository-java.lang.String-">SnapshotRepository</a></span>(java.lang.String&nbsp;dir)</code>
<div class="block">Create a new instance of a repository.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#detectDate-com.sk89q.worldedit.world.snapshot.Snapshot-">detectDate</a></span>(<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;snapshot)</code>
<div class="block">Attempt to detect a snapshot's date and assign it.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getDefaultSnapshot-java.lang.String-">getDefaultSnapshot</a></span>(java.lang.String&nbsp;world)</code>
<div class="block">Get the default snapshot.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getDirectory--">getDirectory</a></span>()</code>
<div class="block">Get the snapshot directory.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getSnapshot-java.lang.String-">getSnapshot</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Get a snapshot.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getSnapshotAfter-java.time.ZonedDateTime-java.lang.String-">getSnapshotAfter</a></span>(java.time.ZonedDateTime&nbsp;date,
                java.lang.String&nbsp;world)</code>
<div class="block">Get the first snapshot after a date.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getSnapshotBefore-java.time.ZonedDateTime-java.lang.String-">getSnapshotBefore</a></span>(java.time.ZonedDateTime&nbsp;date,
                 java.lang.String&nbsp;world)</code>
<div class="block">Get the first snapshot before a date.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#getSnapshots-boolean-java.lang.String-">getSnapshots</a></span>(boolean&nbsp;newestFirst,
            java.lang.String&nbsp;worldName)</code>
<div class="block">Get a list of snapshots in a directory.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#isValidSnapshot-java.io.File-">isValidSnapshot</a></span>(java.io.File&nbsp;file)</code>
<div class="block">Check to see if a snapshot is valid.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRepository.html#isValidSnapshotName-java.lang.String-">isValidSnapshotName</a></span>(java.lang.String&nbsp;snapshot)</code>
<div class="block">Check to see if a snapshot is valid.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="dir">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre>protected&nbsp;java.io.File dir</pre>
</li>
</ul>
<a name="dateParsers">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dateParsers</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotDateParser.html" title="interface in com.sk89q.worldedit.world.snapshot">SnapshotDateParser</a>&gt; dateParsers</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SnapshotRepository-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SnapshotRepository</h4>
<pre>public&nbsp;SnapshotRepository(java.io.File&nbsp;dir)</pre>
<div class="block">Create a new instance of a repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dir</code> - the directory</dd>
</dl>
</li>
</ul>
<a name="SnapshotRepository-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SnapshotRepository</h4>
<pre>public&nbsp;SnapshotRepository(java.lang.String&nbsp;dir)</pre>
<div class="block">Create a new instance of a repository.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dir</code> - the directory</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSnapshots-boolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSnapshots</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&gt;&nbsp;getSnapshots(boolean&nbsp;newestFirst,
                                             java.lang.String&nbsp;worldName)
                                      throws <a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></pre>
<div class="block">Get a list of snapshots in a directory. The newest snapshot is
 near the top of the array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newestFirst</code> - true to get the newest first</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of snapshots</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSnapshotAfter-java.time.ZonedDateTime-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSnapshotAfter</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;getSnapshotAfter(java.time.ZonedDateTime&nbsp;date,
                                            java.lang.String&nbsp;world)
                                     throws <a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></pre>
<div class="block">Get the first snapshot after a date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - a date</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a snapshot or null</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSnapshotBefore-java.time.ZonedDateTime-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSnapshotBefore</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;getSnapshotBefore(java.time.ZonedDateTime&nbsp;date,
                                             java.lang.String&nbsp;world)
                                      throws <a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></pre>
<div class="block">Get the first snapshot before a date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - a date</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a snapshot or null</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></code></dd>
</dl>
</li>
</ul>
<a name="detectDate-com.sk89q.worldedit.world.snapshot.Snapshot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detectDate</h4>
<pre>protected&nbsp;void&nbsp;detectDate(<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;snapshot)</pre>
<div class="block">Attempt to detect a snapshot's date and assign it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>snapshot</code> - the snapshot</dd>
</dl>
</li>
</ul>
<a name="getDefaultSnapshot-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSnapshot</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;getDefaultSnapshot(java.lang.String&nbsp;world)
                                       throws <a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></pre>
<div class="block">Get the default snapshot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a snapshot or null</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/MissingWorldException.html" title="class in com.sk89q.worldedit.world.storage">MissingWorldException</a></code></dd>
</dl>
</li>
</ul>
<a name="isValidSnapshotName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidSnapshotName</h4>
<pre>public&nbsp;boolean&nbsp;isValidSnapshotName(java.lang.String&nbsp;snapshot)</pre>
<div class="block">Check to see if a snapshot is valid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>snapshot</code> - a snapshot name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether it is a valid snapshot</dd>
</dl>
</li>
</ul>
<a name="isValidSnapshot-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidSnapshot</h4>
<pre>protected&nbsp;boolean&nbsp;isValidSnapshot(java.io.File&nbsp;file)</pre>
<div class="block">Check to see if a snapshot is valid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file to the snapshot</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether it is a valid snapshot</dd>
</dl>
</li>
</ul>
<a name="getSnapshot-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSnapshot</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/snapshot/Snapshot.html" title="class in com.sk89q.worldedit.world.snapshot">Snapshot</a>&nbsp;getSnapshot(java.lang.String&nbsp;name)
                     throws <a href="../../../../../com/sk89q/worldedit/world/snapshot/InvalidSnapshotException.html" title="class in com.sk89q.worldedit.world.snapshot">InvalidSnapshotException</a></pre>
<div class="block">Get a snapshot.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the snapshot</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a snapshot</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/snapshot/InvalidSnapshotException.html" title="class in com.sk89q.worldedit.world.snapshot">InvalidSnapshotException</a></code> - if the snapshot is invalid</dd>
</dl>
</li>
</ul>
<a name="getDirectory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDirectory</h4>
<pre>public&nbsp;java.io.File&nbsp;getDirectory()</pre>
<div class="block">Get the snapshot directory.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a path</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotDateParser.html" title="interface in com.sk89q.worldedit.world.snapshot"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/snapshot/SnapshotRestore.html" title="class in com.sk89q.worldedit.world.snapshot"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/snapshot/SnapshotRepository.html" target="_top">Frames</a></li>
<li><a href="SnapshotRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
